Package org.eclipse.net4j.util.collection

# Class ConcurrentArray.DuplicateCounter<E>

java.lang.Object
org.eclipse.net4j.util.collection.ConcurrentArray<E>
org.eclipse.net4j.util.collection.ConcurrentArray.DuplicateCounter<E>

Enclosing class:
  ConcurrentArray<E>

public abstract static class ConcurrentArray.DuplicateCounter<E> extends ConcurrentArray<E>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

`ConcurrentArray.DuplicateCounter<E>, ConcurrentArray.Unique<E>`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

`elements`

## Constructor Summary

Constructors
Constructor
Description
`DuplicateCounter()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`equals(E e1, E e2)`
`final int`
`getMaxDuplicates()`
`protected boolean`
`validate(E element)`

### Methods inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

`add, addUnique, contains, elementAdded, elementRemoved, firstElementAdded, get, isEmpty, lastElementRemoved, newArray, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuplicateCounter

public DuplicateCounter()

## Method Details

### getMaxDuplicates

public final int getMaxDuplicates()

### validate

protected boolean validate(E element)

Overrides:
  `validate` in class `ConcurrentArray<E>`

### equals

protected boolean equals(E e1, E e2)

Overrides:
  `equals` in class `ConcurrentArray<E>`